List child runs
curl --request GET \
--url https://api.veryfront.com/runs/{run_id}/child-runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/runs/{run_id}/child-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/runs/{run_id}/child-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.veryfront.com/runs/{run_id}/child-runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.veryfront.com/runs/{run_id}/child-runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.veryfront.com/runs/{run_id}/child-runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.veryfront.com/runs/{run_id}/child-runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "44444444-4444-4444-8444-444444444444",
"status": "completed",
"project_id": "00000000-0000-4000-8000-000000000001",
"target": {
"type": "task",
"id": "summarize"
},
"input": {
"text": "A short document."
},
"output": {
"summary": "A short summary."
},
"title": "Summarize text",
"parent_run_id": "11111111-1111-4111-8111-111111111111",
"root_run_id": "11111111-1111-4111-8111-111111111111",
"created_at": "2026-10-02T10:00:00Z",
"updated_at": "2026-10-02T10:00:02Z",
"trigger": {
"type": "api_key",
"id": "key_example"
},
"started_at": "2026-10-02T10:00:00Z",
"finished_at": "2026-10-02T10:00:02Z"
}
],
"page_info": {
"next": null
}
}{
"type": "<string>",
"title": "<string>",
"status": 400,
"code": "<string>",
"cause": "schedule_concurrency_forbidden",
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 401,
"code": "<string>",
"cause": "schedule_concurrency_forbidden",
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 403,
"code": "<string>",
"cause": "schedule_concurrency_forbidden",
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 404,
"code": "<string>",
"cause": "schedule_concurrency_forbidden",
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 429,
"code": "<string>",
"cause": "schedule_concurrency_forbidden",
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}List child runs
List child runs.
GET
/
runs
/
{run_id}
/
child-runs
List child runs
curl --request GET \
--url https://api.veryfront.com/runs/{run_id}/child-runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/runs/{run_id}/child-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/runs/{run_id}/child-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.veryfront.com/runs/{run_id}/child-runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.veryfront.com/runs/{run_id}/child-runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.veryfront.com/runs/{run_id}/child-runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.veryfront.com/runs/{run_id}/child-runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "44444444-4444-4444-8444-444444444444",
"status": "completed",
"project_id": "00000000-0000-4000-8000-000000000001",
"target": {
"type": "task",
"id": "summarize"
},
"input": {
"text": "A short document."
},
"output": {
"summary": "A short summary."
},
"title": "Summarize text",
"parent_run_id": "11111111-1111-4111-8111-111111111111",
"root_run_id": "11111111-1111-4111-8111-111111111111",
"created_at": "2026-10-02T10:00:00Z",
"updated_at": "2026-10-02T10:00:02Z",
"trigger": {
"type": "api_key",
"id": "key_example"
},
"started_at": "2026-10-02T10:00:00Z",
"finished_at": "2026-10-02T10:00:02Z"
}
],
"page_info": {
"next": null
}
}{
"type": "<string>",
"title": "<string>",
"status": 400,
"code": "<string>",
"cause": "schedule_concurrency_forbidden",
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 401,
"code": "<string>",
"cause": "schedule_concurrency_forbidden",
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 403,
"code": "<string>",
"cause": "schedule_concurrency_forbidden",
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 404,
"code": "<string>",
"cause": "schedule_concurrency_forbidden",
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 429,
"code": "<string>",
"cause": "schedule_concurrency_forbidden",
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
bearerAuthapiKeyAuthrunExecutionAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Query Parameters
Maximum number of results to return.
Required range:
1 <= x <= 100Opaque page_info.next cursor; reuse with unchanged filters and ordering.
The page_info.next of the previous page: the run_id of its last child. A cursor that is not a child of this run returns a 400.
Required string length:
1 - 128